﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WebCrawling.Data.Extracting
{
    public enum BoundTypes
    {
        /// <summary>
        /// None.
        /// </summary>
        None,

        /// <summary>
        /// Save before type.
        /// </summary>
        SaveBefore,

        /// <summary>
        /// Save after type.
        /// </summary>
        SaveAfter,

        /// <summary>
        /// Save both type.
        /// </summary>
        SaveBoth
    }
    public enum Status { Failed, Success, UnQueueing, Queueing };
    public enum NodeType { Attribute, SingleNode };
    public enum SiteType
    {
        Baidu,
        Google,
        Bing,
        Common,
        FatSecret
    }

    public enum SaveFormatType
    {
        DiscuzArticle,
        DiscuzForum,
        CSV
    }  
}
